PUT
/catalog/usql/databases/{databaseName}/secrets/{secretName}
https://azure.com/catalog/usql/databases/{databaseName}/secrets/{secretName}Creates the specified secret for use with external data sources in the specified database. This is deprecated and will be removed in the next release. Please use CreateCredential instead.
Access Token Required: API Key
Path Parameters
databaseNamestringrequired
The name of the database in which to create the secret.
secretNamestringrequired
The name of the secret.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'https://azure.com/catalog/usql/databases/{databaseName}/secrets/{secretName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}